Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I would like to install a program from a PPA that has both Oneiric and Precise versions of the same program. The Precise version of the program is 2.2 whereas the Oneiric version is 2.0

If I try an install the normal way through the software centre or the terminal, the Oneiric 2.0 version will be installed. Is there an easy way to force Ubuntu to install the Precise version?

share|improve this question
add comment

3 Answers 3

up vote 9 down vote accepted

Edit the file inside /etc/apt/sources.list.d/ listing the ppa and change the distribution name from oneiric to precise. Of course you may run into dependency problems when you try to install as the precise version may depend on libraries from precise.

share|improve this answer
1  
Thanks for your answer, though I don't have a /etc/sources.d folder. Is the /etc/apt/sources.list.d folder the same? –  coversnail Jan 18 '12 at 19:22
2  
Oops, that's what I meant. Fixed –  psusi Jan 18 '12 at 20:22
add comment

Instead of altering your sources list which may result in unwanted dependency problems I suggest using the program prevu, which is designed to backport software packages.

share|improve this answer
add comment

After having used the kindly provided answer by psusi, I also discovered an alternative GUI-based method for doing this which I'll add as some people may find it easier.

Open the Ubuntu Software centre and select Edit > Software Sources

Click on the PPA contains the program you wish to install and select Edit Dialogue box image

Then replace the text 'Oneiric' in the distribution field of the next menu with 'Precise' Dialogue box image

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.